<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;
use CodeIgniter\Database\RawSql;

class TarifaPreimpresionMaquinaTable extends Migration
{
    protected array $COLUMNS = [

        'id' =>  [
            'type' => 'INT',
            'unsigned' => true,
            'auto_increment' => true,
        ],
        'tarifa_preimpresion_id' =>  [
            'type' => 'INT',
            'unsigned' => true,
            'constraint' => 10,
        ],
        'maquina_id' => [
            'type' => 'INT',
            'unsigned' => true,
            'constraint' => 10,
        ],
        'maquina_tarea_id' => [
            'type' => 'INT',
            'unsigned' => true,
            'constraint' => 10,
        ]

    ];
    public function up()
    {
        $this->forge->addField($this->COLUMNS);
        $currenttime = new RawSql('CURRENT_TIMESTAMP');
        $this->forge->addField([
            'created_at' => [
                'type' => 'TIMESTAMP',
                'default' => $currenttime,

            ],
            'updated_at' => [
                'type' => 'TIMESTAMP',
                'null' => true,

            ],
            'deleted_at' => [
                'type' => 'TIMESTAMP',
                'null' => true,

            ],
        ]);
        $this->forge->addPrimaryKey('id');
        $this->forge->addForeignKey('tarifa_preimpresion_id','lg_tarifa_preimpresion','id');
        $this->forge->addForeignKey('maquina_tarea_id','maquina_tareas','id');
        $this->forge->createTable("tarifa_preimpresion_maquinas");
    }

    public function down()
    {
        $this->forge->dropTable("tarifa_preimpresion_maquinas");
    }
}
